#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Embedded Linux Library
Summary(pl.UTF-8):	Embedded Linux Library - biblioteka osadzonego Linuksa
Name:		ell
Version:	0.67
Release:	1%{?tld}
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://www.kernel.org/pub/linux/libs/ell/%{name}-%{version}.tar.xz
# Source0-md5:	69d84b73096dcba85b2c382b44aec2ec
URL:		https://git.kernel.org/pub/scm/libs/ell/ell.git/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.2
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Embedded Linux Library.

%description -l pl.UTF-8
Embedded Linux Library - biblioteka osadzonego Linuksa.

%package devel
Summary:	Header files for ELL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ELL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for ELL library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ELL.

%package static
Summary:	Static ELL library
Summary(pl.UTF-8):	Statyczna biblioteka ELL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ELL library.

%description static -l pl.UTF-8
Statyczna biblioteka ELL.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build-aux
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-pie \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libell.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libell.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libell.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libell.so
%{_includedir}/ell
%{_pkgconfigdir}/ell.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libell.a
%endif
%changelog
* Fri Aug 16 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ell.git;a=log;h=master

* Mon Jul 08 2024 Jan Palus <atler@pld-linux.org> 8fea5f6
- up to 0.67

* Tue Jun 04 2024 Jan Palus <atler@pld-linux.org> c7d896a
- up to 0.66

* Thu Apr 25 2024 Jan Palus <atler@pld-linux.org> 04c6cc2
- up to 0.65

* Fri Mar 29 2024 Jan Palus <atler@pld-linux.org> 574a210
- up to 0.64

* Tue Feb 27 2024 Jan Palus <atler@pld-linux.org> ccc6d84
- up to 0.63

* Tue Feb 06 2024 Jan Palus <atler@pld-linux.org> 2ce037a
- up to 0.62

* Sun Nov 26 2023 Jan Palus <atler@pld-linux.org> 79c3396
- up to 0.61

* Mon Nov 20 2023 Jan Palus <atler@pld-linux.org> f2d3a94
- up to 0.60

* Wed Sep 27 2023 Jan Palus <atler@pld-linux.org> cb5d759
- up to 0.59

* Thu Aug 24 2023 Jan Palus <atler@pld-linux.org> abae7ba
- up to 0.58

* Wed May 24 2023 Jan Palus <atler@pld-linux.org> b7ae7a2
- up to 0.57

* Tue Jan 24 2023 Jan Palus <atler@pld-linux.org> 8180626
- up to 0.56

* Mon Dec 19 2022 Jan Palus <atler@pld-linux.org> 5b32c31
- up to 0.55

* Fri Nov 18 2022 Jan Palus <atler@pld-linux.org> e0f0ad7
- up to 0.54

* Thu Sep 08 2022 Jan Palus <atler@pld-linux.org> 7fd8481
- up to 0.53

* Fri Jul 15 2022 Jan Palus <atler@pld-linux.org> 44dc6dc
- up to 0.52

* Sun Jun 05 2022 Jan Palus <atler@pld-linux.org> b144a84
- up to 0.51

* Fri Apr 22 2022 Jan Palus <jpalus@fastmail.com> 6e02f98
- up to 0.50

* Fri Feb 25 2022 Jan Palus <atler@pld-linux.org> 737d61b
- up to 0.49

* Wed Jan 26 2022 Jan Palus <atler@pld-linux.org> 48ae417
- up to 0.48

